#40 Please help.. XRMS doesnt open !!

closed
None
9
2005-07-11
2005-05-17
No

we have updated our XRMS to the latest CVS ...
Now we have serious problems...and very strange ones..
After testing and trying to discover wheres the problem..
I cant figure how to fix this..

I have all original files from the latest CVS version..
Everything is correctly configured..
When I open the url ( http://xrms.maxideia.sytes.net )
everything stalls..
If I change the mysql server to something that doesnt
exist, I get the errors.. and the url is opened..

I think this is something to do with caching and databe
updates..

Can anyone help ??

Discussion

1 2 > >> (Page 1 of 2)
    • priority: 5 --> 9
     
  • Logged In: YES
    user_id=559850

    My icq is : 47403845
    msn: super2k2maxmig77@hotmail.com

    please help !

     
  • Brian Peterson
    Brian Peterson
    2005-05-17

    Logged In: YES
    user_id=204919

    reverting to
    utils-preferences v 1.4
    and
    utils-misc.php v 1.130

    reverted to code that doesn't use the new caching functions,
    and he is able to log in and use the system

     
  • Brian Peterson
    Brian Peterson
    2005-05-17

    • assigned_to: nobody --> vanmer
     
  • Brian Peterson
    Brian Peterson
    2005-05-17

    Logged In: YES
    user_id=204919

    Miguel reports:

    Miguel (mig77): [Tue May 17 17:25:46 2005] [notice] child
    pid 4083 exit signal Segmentation fault (11)

    on apache.

    THis suggests a memory leak of some sort. He's running the
    Zend debugger... maybe this is the culprit?

     
  • Brian Peterson
    Brian Peterson
    2005-05-18

    Logged In: YES
    user_id=204919

    Miguel,

    We can't replicate your error here on any environment.
    Caching seems to be working fine for us.

    Perhaps you could turn off the Zend debugger or other unused
    PHP extensions and see if that resolves the problem, or
    perhaps you could try running the current CVS code in a
    development environment on a virtual host on that same
    machine so that we can collect more informationabout what is
    causing the problem.

    Regards,

    - Brian

     
  • Brian Peterson
    Brian Peterson
    2005-05-18

    • status: open --> pending
     
  • Logged In: YES
    user_id=559850

    I disabled all extra zend extensions we were using:
    http://maxideia.sytes.net/phpinfo.php

    Updated to the latest cvs ... run update.php
    ... still have the same problem..

     
    • status: pending --> open
     
  • Logged In: YES
    user_id=559850

    Backed up everything ...

    Update via CVS

    Ran update.php

    Set Zend Extra extensions are off.. (
    http://xrms.sytes.net/phpinfo.php
    )

    No XRMS page is opened.. I get this in the error_log:
    [Fri May 27 20:33:52 2005] [warn] child process 28089 still
    did not exit, sending a SIGTERM
    [Fri May 27 20:33:52 2005] [notice] caught SIGTERM,
    shutting down
    [Fri May 27 20:33:57 2005] [notice] Apache/2.0.53 (Unix)
    PHP/4.3.10 configured -- resuming normal operations
    [Fri May 27 20:34:00 2005] [notice] child pid 28122 exit
    signal Segmentation fault (11)
    [Fri May 27 20:34:00 2005] [notice] child pid 28123 exit
    signal Segmentation fault (11)

     
1 2 > >> (Page 1 of 2)